CentOS 5.5 -> 5.6: Python setuptools is too old for subversion 1.6

Issues related to software problems.
Post Reply
rbuchholz
Posts: 2
Joined: 2011/04/11 10:05:19

CentOS 5.5 -> 5.6: Python setuptools is too old for subversion 1.6

Post by rbuchholz » 2011/04/11 10:10:23

Hello

as noted on [url=https://bugzilla.redhat.com/show_bug.cgi?id=460631]upstream bug 460631[/url], setuptools is too old for subversion 1.6 and will fail to recognize a Python egg that comes from a subversion source. To reproduce, run
[code]
rbuchholz@host ~ % mkdir setuptoolsbug
rbuchholz@host ~ % cd setuptoolsbug
rbuchholz@host ~/setuptoolsbug % svn co http://svn.edgewall.org/repos/trac/branches/0.12-stable 0.12dev
...
rbuchholz@host ~/setuptoolsbug % cd 0.12dev
rbuchholz@host ~/setuptoolsbug/0.12dev (svn)-[0.12-stable:10672] % python setup.py egg_info
Genshi is needed by Trac setup, pre-installing
running egg_info
unrecognized .svn/entries format; skipping .
creating Trac.egg-info
writing requirements to Trac.egg-info/requires.txt
writing Trac.egg-info/PKG-INFO
writing top-level names to Trac.egg-info/top_level.txt
writing dependency_links to Trac.egg-info/dependency_links.txt
writing entry points to Trac.egg-info/entry_points.txt
writing manifest file 'Trac.egg-info/SOURCES.txt'
Traceback (most recent call last):
File "setup.py", line 110, in ?
entry_points = """
File "/usr/lib64/python2.4/distutils/core.py", line 149, in setup
dist.run_commands()
File "/usr/lib64/python2.4/distutils/dist.py", line 946, in run_commands
self.run_command(cmd)
File "/usr/lib64/python2.4/distutils/dist.py", line 966, in run_command
cmd_obj.run()
File "/usr/lib/python2.4/site-packages/setuptools/command/egg_info.py", line 171, in run
self.find_sources()
File "/usr/lib/python2.4/site-packages/setuptools/command/egg_info.py", line 252, in find_sources
mm.run()
File "/usr/lib/python2.4/site-packages/setuptools/command/egg_info.py", line 306, in run
self.add_defaults()
File "/usr/lib/python2.4/site-packages/setuptools/command/egg_info.py", line 333, in add_defaults
rcfiles = list(walk_revctrl())
File "/usr/lib/python2.4/site-packages/setuptools/command/sdist.py", line 45, in walk_revctrl
for item in ep.load()(dirname):
File "/usr/lib/python2.4/site-packages/setuptools/command/sdist.py", line 52, in _default_revctrl
for path in finder(dirname,path):
File "/usr/lib/python2.4/site-packages/setuptools/command/sdist.py", line 98, in entries_finder
log.warn("unrecognized .svn/entries format in %s", dirname)
NameError: global name 'log' is not defined
[/code]

Maybe this is something you want to add to the release notes.


Robert

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

CentOS 5.5 -> 5.6: Python setuptools is too old for subversi

Post by pschaff » 2011/04/11 15:11:22

Welcome to the CentOS fora.

Does python-setuptools-0.6c7-1.el5ipa in [c5-testing] address the issue?

rbuchholz
Posts: 2
Joined: 2011/04/11 10:05:19

Re: CentOS 5.5 -> 5.6: Python setuptools is too old for subversion 1.6

Post by rbuchholz » 2011/04/12 15:21:35

Unfortunately not. Any version that after this patch works: http://svn.python.org/view?view=revision&revision=75384 (but I cannot find any tags in the repository).

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

Re: CentOS 5.5 -> 5.6: Python setuptools is too old for subversion 1.6

Post by pschaff » 2011/04/12 18:11:36

If upstream declines to fix it, then the only options seem to be putting in an RFE for a later centosplus package, getting some 3rd party repo other than EPEL to provide it, or rolling your own.

punkts
Posts: 5
Joined: 2011/04/07 15:15:16

Re: CentOS 5.5 -> 5.6: Python setuptools is too old for subversion 1.6

Post by punkts » 2011/04/13 02:43:14

The following might work as well.

# url=http://the.earth.li/pub/subversion/summersoft.fay.ar.us/pub/subversion/latest/1.6.16/rhel5/i386
#
# rpm -F $url/sqlite-3.5.9-2.i386.rpm
#
# rpm -i $url/neon-0.28.4-1.i386.rpm
# rpm -i $url/subversion-1.6.16-1.i386.rpm
# rpm -i $url/mod_dav_svn-1.6.16-1.i386.rpm
# rpm -i $url/subversion-perl-1.6.16-1.i386.rpm
# rpm -i $url/subversion-python-1.6.16-1.i386.rpm \
# rpm -i --nodeps $url/subversion-tools-1.6.16-1.i386.rpm
#

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

Re: CentOS 5.5 -> 5.6: Python setuptools is too old for subversion 1.6

Post by pschaff » 2011/04/13 09:58:12

A bit hard to endorse that procedure, seeing the replacement of the key core package sqlite and the forced install at the end that is indicative of conflicts with installed packages.

Someone wanting to use this might a least want to check out what seems to be the source of the mirror given [url=http://summersoft.fay.ar.us/]summersoft.fay.ar.us[/url] and the [url=http://summersoft.fay.ar.us/pub/subversion/1.6.16/rhel5/]package directories[/url].

Post Reply

Return to “CentOS 5 - Software Support”